Bug 557854 - [abrt] crash with async fallback
Summary: [abrt] crash with async fallback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ebfadb98
Depends On:
Blocks: 558551
TreeView+ depends on / blocked
 
Reported: 2010-01-22 17:51 UTC by Steven Usdansky
Modified: 2010-02-05 01:37 UTC (History)
2 users (show)

Fixed In Version: 1.1.16-13.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 558551 (view as bug list)
Environment:
Last Closed: 2010-02-05 01:35:41 UTC


Attachments (Terms of Use)
File: backtrace (1.55 KB, text/plain)
2010-01-22 17:51 UTC, Steven Usdansky
no flags Details

Description Steven Usdansky 2010-01-22 17:51:31 UTC
abrt 1.0.2 detected a crash.

How to reproduce
-----
1. had print jobs in queue to print when GNOME started. Printer icon showed up in notification area
2. clicked on printer icon - showed 2 jobs in queue
3. tried to cancel one of them (the test page print from the debugging session) and got abrt

Comment: Had just implemented comment #8 in Bug 544297 and was trying to print. No printing occurred and the troubleshooter loaded. Troubleshooter had progressed to the point of trying to print a test page - it did not print properly. Exited GNOME, restarted CUPS, then restarted GNOME and clicked on the printer icon in the notification area when abrt kicked in

backtrace
-----
Summary: TBebfadb98 asyncpk1.py:318:_call_with_pk:UnboundLocalError: local variable 'asyncmethodcall' referenced before assignment

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 202, in on_job_cancel_prompt_response
    error_handler=self.cancelJob_error)
  File "/usr/share/system-config-printer/asyncconn.py", line 132, in <lambda>
    return lambda *args, **kwds: fn (*args, **kwds)
  File "/usr/share/system-config-printer/asyncpk1.py", line 393, in cancelJob
    self._conn.cancelJob, args, kwds)
  File "/usr/share/system-config-printer/asyncpk1.py", line 318, in _call_with_pk
    return asyncmethodcall.call_fallback_fn ()
UnboundLocalError: local variable 'asyncmethodcall' referenced before assignment

Local variables in innermost frame:
use_pycups: True
kwds: {'reply_handler': <bound method CancelJobsOperation.cancelJob_finish of <jobviewer.CancelJobsOperation instance at 0x1379290>>, 'error_handler': <bound method CancelJobsOperation.cancelJob_error of <jobviewer.CancelJobsOperation instance at 0x1379290>>}
self: <asyncpk1.PK1Connection instance at 0x1379368>
args: (31, True)
error_handler: <bound method CancelJobsOperation.cancelJob_error of <jobviewer.CancelJobsOperation instance at 0x1379290>>
pk_args: ()
reply_handler: <bound method CancelJobsOperation.cancelJob_finish of <jobviewer.CancelJobsOperation instance at 0x1379290>>
fallback_fn: <function <lambda> at 0x137cf50>
pk_method_name: JobCancel
unpack_fn: <bound method PK1Connection._nothing_to_unpack of <asyncpk1.PK1Connection instance at 0x1379368>>

cmdline: python /usr/share/system-config-printer/applet.py 
component: system-config-printer
executable: /usr/share/system-config-printer/applet.py
kernel: 2.6.32.1-9.fc13.x86_64
package: system-config-printer-1.1.90-1.fc13
uuid: ebfadb98

Comment 1 Steven Usdansky 2010-01-22 17:51:33 UTC
Created attachment 386210 [details]
File: backtrace

Comment 2 Tim Waugh 2010-01-25 12:08:38 UTC
Re-opening: there is a bug caught by this traceback.

Comment 3 Fedora Update System 2010-01-27 01:03:36 UTC
system-config-printer-1.1.16-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0755

Comment 4 Fedora Update System 2010-01-27 01:04:42 UTC
system-config-printer-1.1.16-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0776

Comment 5 Fedora Update System 2010-02-05 01:34:56 UTC
system-config-printer-1.1.16-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-02-05 01:36:46 UTC
system-config-printer-1.1.16-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.